uuid: dafb8d3b-f321-4b97-b412-40e1e6b66b25
langcode: en
status: true
dependencies: {  }
_core:
  default_config_hash: 2jPHrZPHYA4ZBHAbJDAoVD465MybfBXiepOZsUHyg-o
id: text_edgestring_ascii_und_6_0_0
label: 'Edge NGram ASCII String Field'
minimum_solr_version: 6.0.0
custom_code: edgeasciistring
field_type_language_code: und
domains: {  }
field_type:
  name: text_edgenasciistring
  class: solr.TextField
  positionIncrementGap: 100
  analyzers:
    -
      type: index
      tokenizer:
        class: solr.StandardTokenizerFactory
      filters:
        -
          class: solr.LowerCaseFilterFactory
        -
          class: solr.RemoveDuplicatesTokenFilterFactory
        -
          class: solr.EdgeNGramFilterFactory
          minGramSize: 2
          maxGramSize: 25
        -
          class: solr.ASCIIFoldingFilterFactory
          preserveOriginal: 1
        -
          class: solr.WordDelimiterGraphFilterFactory
          preserveOriginal: 1
        -
          class: solr.FlattenGraphFilterFactory
    -
      type: query
      tokenizer:
        class: solr.StandardTokenizerFactory
      filters:
        -
          class: solr.LowerCaseFilterFactory
        -
          class: solr.RemoveDuplicatesTokenFilterFactory
        -
          class: solr.ASCIIFoldingFilterFactory
          preserveOriginal: 1
        -
          class: solr.WordDelimiterGraphFilterFactory
          preserveOriginal: 1
  storeOffsetsWithPositions: true
unstemmed_field_type: null
spellcheck_field_type: null
collated_field_type: null
solr_configs: {  }
text_files: {  }
